<?php

namespace Planaday\Config\Course;

use Planaday\Config\OptionGroupEnum;

enum CourseOptionsEnum: string implements OptionGroupEnum {
	case CALENDAR_SETTINGS = 'CALENDAR_SETTINGS';
	case DETAIL_SETTINGS = 'DETAIL_SETTINGS';
	case GENERAL_SETTINGS = 'GENERAL_SETTINGS';
	case OVERVIEW_SETTINGS = 'OVERVIEW_SETTINGS';
	case SEARCH_SETTINGS = 'SEARCH_SETTINGS';

	public static function getClassName(): string {
		return CourseSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return null;
	}
}